> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/monad/submit-transactions/public-transactions.md).

# Public Transactions

Use this endpoint to send a single transaction on Monad using bloXroute’s Blockchain Distribution Network (BDN). Sending transactions over WebSocket instead of HTTPS can reduce latency by up to 10ms. The endpoint returns the transaction hash as a response.

## Submission Endpoint

* Method: `monad_tx`
* Cloud API Endpoint: `api.blxrbdn.com`
* Request type: *`HTTPS,WSS`*

### Parameters

<table><thead><tr><th width="279.3333333333333">Parameter</th><th width="217">Description</th><th>Instructions &#x26; Notes</th></tr></thead><tbody><tr><td><strong><code>transaction</code></strong></td><td>Raw transactions bytes without <strong><code>0x</code></strong> prefix.</td><td>Mandatory<em>.</em></td></tr><tr><td><code>backrunme_reward_address</code></td><td>Address to receive BackRunMe reward</td><td>Optional.</td></tr></tbody></table>

### **Examples**

{% tabs %}
{% tab title="HTTPS POST" %}

```bash
curl -X POST https://api.blxrbdn.com/ \
  -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "monad_tx",
    "params": {
      "transaction": "f86b0184...e0b58219",
      "backrunme_reward_address": "0xYourRewardAddressHere"
    }
  }'

```

{% endtab %}

{% tab title="wscat WS" %}

```bash
wscat -c wss://api.blxrbdn.com/ws \
--header 'Authorization: <YOUR-AUTHORIZATION-HEADER>' \
-x '{"jsonrpc":"2.0","id":1,"method":"monad_tx","params":{"transaction":"f86b0184...e0b58219","backrunme_reward_address":"0xYourRewardAddressHere"}}'

```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="" %}

```bash
{
    "jsonrpc": "2.0", 
    "id": "1", 
    "result": {
        "tx_hash": "ffd59870844e5...bfa54a69"
    }
}    

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/monad/submit-transactions/public-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
